[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IInterfaceList.IndexOf

Return the index of an interface.

## Declaration

Source position: classesh.inc line 2065

`function IInterfaceList.IndexOf(`
`const item: IUnknown`
`):Integer;`

## Description

IndexOf returns the location in the list of the interface Item. If there is no such interface in the list, then -1 is returned.

## See also

TList.IndexOf |  | Returns the index of a given pointer.
IInterfaceList.First |  | Return the first non-empty interface in the list.
IInterfaceList.Last |  | Returns the last non-nil interface in the list.